using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            string[] nez = new string[N];
            for (int i = 0; i < N; i++)
            {
                nez[i] = Console.ReadLine();
            }
            for (int i = 0; i < N; i++)
            {
                Console.WriteLine(-1);
            }
        }
    }
}